Crear una exportación filtrada de monitores
curl --request POST \
--url https://api.zelto.ai/v1/monitor-exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {
"monitors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": "all"
}
],
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"timezone": "America/Montevideo",
"versionScope": "historical",
"format": "csv",
"reasoning": false,
"match": "all",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": [],
"notificationEndpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
'import requests
url = "https://api.zelto.ai/v1/monitor-exports"
payload = {
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {
"monitors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": "all"
}
],
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"timezone": "America/Montevideo",
"versionScope": "historical",
"format": "csv",
"reasoning": False,
"match": "all",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": [],
"notificationEndpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
operationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
config: {
monitors: [{id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', result: 'all'}],
since: '2023-11-07T05:31:56Z',
until: '2023-11-07T05:31:56Z',
timezone: 'America/Montevideo',
versionScope: 'historical',
format: 'csv',
reasoning: false,
match: 'all',
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
groupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
metadata: [],
notificationEndpointId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
})
};
fetch('https://api.zelto.ai/v1/monitor-exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zelto.ai/v1/monitor-exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'operationId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'config' => [
'monitors' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'result' => 'all'
]
],
'since' => '2023-11-07T05:31:56Z',
'until' => '2023-11-07T05:31:56Z',
'timezone' => 'America/Montevideo',
'versionScope' => 'historical',
'format' => 'csv',
'reasoning' => false,
'match' => 'all',
'companyId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'agentId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'groupId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'metadata' => [
],
'notificationEndpointId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.zelto.ai/v1/monitor-exports"
payload := strings.NewReader("{\n \"operationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"config\": {\n \"monitors\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"result\": \"all\"\n }\n ],\n \"since\": \"2023-11-07T05:31:56Z\",\n \"until\": \"2023-11-07T05:31:56Z\",\n \"timezone\": \"America/Montevideo\",\n \"versionScope\": \"historical\",\n \"format\": \"csv\",\n \"reasoning\": false,\n \"match\": \"all\",\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"groupId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadata\": [],\n \"notificationEndpointId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.zelto.ai/v1/monitor-exports")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"operationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"config\": {\n \"monitors\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"result\": \"all\"\n }\n ],\n \"since\": \"2023-11-07T05:31:56Z\",\n \"until\": \"2023-11-07T05:31:56Z\",\n \"timezone\": \"America/Montevideo\",\n \"versionScope\": \"historical\",\n \"format\": \"csv\",\n \"reasoning\": false,\n \"match\": \"all\",\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"groupId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadata\": [],\n \"notificationEndpointId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zelto.ai/v1/monitor-exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"operationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"config\": {\n \"monitors\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"result\": \"all\"\n }\n ],\n \"since\": \"2023-11-07T05:31:56Z\",\n \"until\": \"2023-11-07T05:31:56Z\",\n \"timezone\": \"America/Montevideo\",\n \"versionScope\": \"historical\",\n \"format\": \"csv\",\n \"reasoning\": false,\n \"match\": \"all\",\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"groupId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadata\": [],\n \"notificationEndpointId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"config": {
"monitors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": "all"
}
],
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"timezone": "America/Montevideo",
"versionScope": "historical",
"format": "csv",
"reasoning": false,
"match": "all",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": [],
"notificationEndpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"downloadPath": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"rowCount": 123,
"bytes": 123,
"errorCode": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Monitors
Crear una exportación filtrada de monitores
Requiere una API key de organización con acceso a Monitores y exportaciones habilitadas. La key determina la organización; no envíes slug ni organizationId. Genera resultados guardados de forma asíncrona sin reevaluar llamadas. Hasta 20 monitores y 100.000 llamadas; CSV, Excel o Parquet. Reutiliza operationId y configuración si pierdes la respuesta. Consulta el id devuelto; los archivos se conservan 30 días.
POST
/
v1
/
monitor-exports
Crear una exportación filtrada de monitores
curl --request POST \
--url https://api.zelto.ai/v1/monitor-exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {
"monitors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": "all"
}
],
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"timezone": "America/Montevideo",
"versionScope": "historical",
"format": "csv",
"reasoning": false,
"match": "all",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": [],
"notificationEndpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
'import requests
url = "https://api.zelto.ai/v1/monitor-exports"
payload = {
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {
"monitors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": "all"
}
],
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"timezone": "America/Montevideo",
"versionScope": "historical",
"format": "csv",
"reasoning": False,
"match": "all",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": [],
"notificationEndpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
operationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
config: {
monitors: [{id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', result: 'all'}],
since: '2023-11-07T05:31:56Z',
until: '2023-11-07T05:31:56Z',
timezone: 'America/Montevideo',
versionScope: 'historical',
format: 'csv',
reasoning: false,
match: 'all',
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
groupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
metadata: [],
notificationEndpointId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
})
};
fetch('https://api.zelto.ai/v1/monitor-exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zelto.ai/v1/monitor-exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'operationId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'config' => [
'monitors' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'result' => 'all'
]
],
'since' => '2023-11-07T05:31:56Z',
'until' => '2023-11-07T05:31:56Z',
'timezone' => 'America/Montevideo',
'versionScope' => 'historical',
'format' => 'csv',
'reasoning' => false,
'match' => 'all',
'companyId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'agentId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'groupId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'metadata' => [
],
'notificationEndpointId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.zelto.ai/v1/monitor-exports"
payload := strings.NewReader("{\n \"operationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"config\": {\n \"monitors\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"result\": \"all\"\n }\n ],\n \"since\": \"2023-11-07T05:31:56Z\",\n \"until\": \"2023-11-07T05:31:56Z\",\n \"timezone\": \"America/Montevideo\",\n \"versionScope\": \"historical\",\n \"format\": \"csv\",\n \"reasoning\": false,\n \"match\": \"all\",\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"groupId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadata\": [],\n \"notificationEndpointId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.zelto.ai/v1/monitor-exports")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"operationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"config\": {\n \"monitors\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"result\": \"all\"\n }\n ],\n \"since\": \"2023-11-07T05:31:56Z\",\n \"until\": \"2023-11-07T05:31:56Z\",\n \"timezone\": \"America/Montevideo\",\n \"versionScope\": \"historical\",\n \"format\": \"csv\",\n \"reasoning\": false,\n \"match\": \"all\",\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"groupId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadata\": [],\n \"notificationEndpointId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zelto.ai/v1/monitor-exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"operationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"config\": {\n \"monitors\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"result\": \"all\"\n }\n ],\n \"since\": \"2023-11-07T05:31:56Z\",\n \"until\": \"2023-11-07T05:31:56Z\",\n \"timezone\": \"America/Montevideo\",\n \"versionScope\": \"historical\",\n \"format\": \"csv\",\n \"reasoning\": false,\n \"match\": \"all\",\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"groupId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"metadata\": [],\n \"notificationEndpointId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"config": {
"monitors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": "all"
}
],
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"timezone": "America/Montevideo",
"versionScope": "historical",
"format": "csv",
"reasoning": false,
"match": "all",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": [],
"notificationEndpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"downloadPath": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"rowCount": 123,
"bytes": 123,
"errorCode": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Autorizaciones
Envía Authorization: Bearer YOUR_API_KEY. La clave corresponde a una sola organización.
Cuerpo
application/json
Respuesta
Exportación aceptada; puede ser un reintento idempotente. Consulta el estado cada cinco segundos.
Opciones disponibles:
pending, processing, completed, failed, expired Show child attributes
Show child attributes
Ruta de descarga autenticada en el mismo origen de la API cuando termina; null en otro caso.

